/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.defaultmapping.classes.model;

public class StringContainerProtectedConstructor {
    private String instance = "Test String";

    protected StringContainerProtectedConstructor() {}

    public static StringContainerProtectedConstructor getClassInstance() {
        return new StringContainerProtectedConstructor();
    }

    public String getInstance() {
        return instance;
    }

    public void setInstance(String instance) {
        this.instance = instance;
    }
}
